<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <input type="text" name="" id="num" />
    <input type="button" value="求和" id="getSumbtn">
    <script>
        var oNum = document.getElementById("num");
        var oGet = document.getElementById("getSumbtn");
        oGet.onclick = function () {
            var str = oNum.value;
            var arr = str.split(" ");
            var sum =0;
            for (var  i=0;i<arr.length;i++){
                sum += Number(arr[i]);
            }
            alert(sum);
        }
    </script>
</body>
</html>